GoCardlessDeveloper Docs
Create a sandbox account

Negative Balance Limit

View as Markdown

The negative balance limit is a threshold for the creditor balance beyond which refunds are not permitted. The default limit is zero — refunds are not permitted if the creditor has a negative balance. The limit can be changed on a per-creditor basis.

List negative balance limits#

GET/negative_balance_limits

Restricted

This endpoint is restricted to GoCardless Embed customers. Please contact us if you are interested in using this product.

Returns a cursor-paginated list of negative balance limits.

Query Parameters

NameTypeDescription
beforestring | null

Cursor pointing to the end of the desired set.

afterstring | null

Cursor pointing to the start of the desired set.

limitinteger | string

Number of records to return.

currencyenum

ISO 4217 currency code. Currently "AUD", "CAD", "DKK", "EUR", "GBP", "NZD", "SEK" and "USD" are supported.

creditorstring

Unique identifier, beginning with "CR".

GET https://api.gocardless.com/negative_balance_limits?currency=GBP&creditor=CR123 HTTP/1.1
@client.negative_balance_limits.list(
  params: {
    currency: "GBP",
    creditor: "CR123",
  }
).records
client.negative_balance_limits.list(params={
  "currency": "GBP",
  "creditor": "CR123",
}).records
await client.negativeBalanceLimits.list({
  currency: "GBP",
  creditor: "CR123",
});
$client->negativeBalanceLimits()->list([
  "params" => [
    "currency" => "GBP",
    "creditor" => "CR123",
  ]
]);
import com.gocardless.services.NegativeBalanceLimitService.NegativeBalanceLimitListRequest.Currency;

client.negativeBalanceLimits().
  all().
  withCreditor("CR123").
  withCurrency(Currency.GBP).
  execute();
params := gocardless.NegativeBalanceLimitListParams{
  Currency: "GBP",
  Creditor: "CR123",
}

response, err := client.NegativeBalanceLimits.List(ctx, params)
var request = new GoCardless.Services.NegativeBalanceLimitListRequest()
{
  Currency = GoCardless.Services.NegativeBalanceLimitListRequest.NegativeBalanceLimitCurrency.GBP,
  Creditor = "CR123",
};

client.NegativeBalanceLimits.All(request);
Responsehttp
HTTP/1.1 200 OK
Content-Type: application/json
{
  "negative_balance_limits": [
    {
      "id": "NBL123",
      "created_at": "2014-05-08T17:01:06.000Z",
      "balance_limit": 10000,
      "currency": "GBP",
      "links": {
        "creditor": "CR123"
      }
    }
  ]
}
Response 200

Successful response

negative_balance_limitsarray
5 properties
idstringrequired

Unique identifier, beginning with "NBL".

created_atstringrequired

Fixed timestamp, recording when this limit was created.

balance_limitintegerrequired

The limit amount in pence (e.g. 10000 for a -100 GBP limit).

currencyenumrequired

ISO 4217 currency code. Currently "AUD", "CAD", "DKK", "EUR", "GBP", "NZD", "SEK" and "USD" are supported.

Possible values:AUDCADDKKEURGBPNZDSEKUSD
linksobjectrequired
2 properties
creator_userstring

ID of the creator_user who created this limit

creditorstring

ID of creditor which this limit relates to

metaobject
2 properties
limitintegerrequired
cursorsobjectrequired
2 properties
beforestring | nullrequired

Cursor pointing to the end of the desired set.

afterstring | nullrequired

Cursor pointing to the start of the desired set.

Errors 400401404422500
400

Bad Request

401

Unauthorised

404

Not found

422

Validation Error

500

Internal Error

Error Body
errorobjectrequired

Generic error

6 properties
codeinteger
documentation_urlstring
errorsarrayrequired
6 properties
reasonstring
fieldstring
request_pointerstring
messagestringrequired
metadataobject
linksobject
messagestringrequired
request_idstringrequired
typestring